Author Topic: The 14 March 2007 build is out.  (Read 13485 times)

Offline TDragon

  • Lives here!
  • ****
  • Posts: 943
    • TDM-GCC
Re: The 14 March 2007 build is out.
« Reply #15 on: March 15, 2007, 08:51:16 pm »
Also, the executable size is 715KB!!!!! If I can't get that down to at least 50KB, I simply won't be using CodeBlocks. I just switched from Dev-C++.
MinGW/GCC, the compiler which Code::Blocks RC2 comes with and for which Code::Blocks is designed, is the exact same compiler that Dev-C++ uses, so any differences in file size are a result of different settings, which can always be changed. In order to create smaller executables, make sure debug symbols are not being generated (the "-g") option, and enable the "Strip all symbols from binary" option ("-s"). If you're a real size freak, you could also use the "Optimize for size" option ("-Os").
https://jmeubank.github.io/tdm-gcc/ - TDM-GCC compiler suite for Windows (GCC 9.2.0 2020-03-08, 32/64-bit, no extra DLLs)

Offline bupper

  • Multiple posting newcomer
  • *
  • Posts: 13
Re: The 14 March 2007 build is out.
« Reply #16 on: March 16, 2007, 02:06:37 am »
Ah, that did the trick for the size! Thanks so much  :) (btw, I also figured out by now how to display the window without command prompt... had to change the mode from "Debug" to "Release".)

Offline Pecan

  • Plugin developer
  • Lives here!
  • ****
  • Posts: 2267
Re: The 14 March 2007 build is out.
« Reply #17 on: March 16, 2007, 03:14:04 am »
Ah, that did the trick for the size! Thanks so much  :) (btw, I also figured out by now how to display the window without command prompt... had to change the mode from "Debug" to "Release".)

You can also change the target type from Console Application to GUI.
That way you can also use the Debug target without the console.

Offline bloodmagic

  • Single posting newcomer
  • *
  • Posts: 3
could anyone please tell me how to unistall the old version?
« Reply #18 on: March 16, 2007, 05:36:41 am »
hello,i wanna update to the newest version ,so how can i delete the old veriosn?
i'm under ubuntu 6.10 :D